cURL
curl --request POST \
--url https://api.vooma.ai/v0/calls/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateFilter": {
"start": "2026-09-01T00:00:00Z",
"end": "2026-09-02T00:00:00Z"
},
"pagination": {
"first": 50
}
}
'import requests
url = "https://api.vooma.ai/v0/calls/search"
payload = {
"dateFilter": {
"start": "2026-09-01T00:00:00Z",
"end": "2026-09-02T00:00:00Z"
},
"pagination": { "first": 50 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateFilter: {start: '2026-09-01T00:00:00Z', end: '2026-09-02T00:00:00Z'},
pagination: {first: 50}
})
};
fetch('https://api.vooma.ai/v0/calls/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calls": [
{
"conversationId": "<string>",
"callExternalIdentifier": "<string>",
"initiationDirection": "<string>",
"fromPhoneNumber": "<string>",
"toPhoneNumber": "<string>",
"startTimeUtc": "2023-11-07T05:31:56Z",
"endTimeUtc": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"talkDurationSeconds": 123,
"status": "<string>",
"wasTransferAttempted": true,
"wasTransferAccepted": true,
"outcomeLabels": [
{
"rationale": "<string>",
"outcome": "<string>"
}
],
"eventLabels": [
{
"rationale": "<string>",
"event": "<string>",
"order": 123
}
],
"customerSentiment": "<string>",
"transcriptSummary": "<string>",
"transferSummary": "<string>",
"voomaCallLink": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>",
"hasPreviousPage": true,
"hasNextPage": true
},
"totalCount": 123,
"count": 123
}Calls
Search Calls
Returns 50 calls per page by default. pagination.limit sets the page-size
cap and must be between 1 and 250; first and last are capped by it.
Call reporting data is refreshed daily. Recent calls may not appear until the following day, and refresh timing may vary.
POST
/
calls
/
search
cURL
Beta Feature: This functionality is currently in beta. You
may experience changes or limited support as we continue to improve it.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json

